/**************************************************************************************************
  Buffers.c
  Defines a pool of buffers for printing messages.
**************************************************************************************************/

// Include Files
#include "Buffers.h"

// Variables
char NextBuf = 0;          // Points to the next buffer
char Buffers[NUMBUF][64];  // Lots of buffers of 64 bytes each


/**************************************************************************************************
  Return the address of the next buffer */
char* GetBuffer(void) {
      char *BufNum;

      BufNum = &Buffers[NextBuf++][0];
      if (NextBuf >= NUMBUF)
          NextBuf = 0;
      return(BufNum);
}