#line 1 "C:/ARM Projects/MINI-M4 for STM32/ServoProj/Servo.c"
#line 1 "c:/arm projects/mini-m4 for stm32/servoproj/usb_driver.h"
#line 11 "c:/arm projects/mini-m4 for stm32/servoproj/usb_driver.h"
typedef char *pnt;


typedef struct USB_TxStruct {
 unsigned int in;
 unsigned int out;
 pnt q[ 64 ];
}USB_TxStruct;



void USB_Init(void);
void USB_TxQueueInit(void);
void USB_PutQueue(char *msg);
void USB_CheckOut(void);
void USB_CheckIn(void);
#line 1 "c:/arm projects/mini-m4 for stm32/servoproj/timers.h"
#line 9 "c:/arm projects/mini-m4 for stm32/servoproj/timers.h"
void TimerInit();
void TimerCheck();
#line 31 "c:/arm projects/mini-m4 for stm32/servoproj/timers.h"
struct timers {
 unsigned long int TimerField;
 unsigned short int Free;
};
#line 43 "c:/arm projects/mini-m4 for stm32/servoproj/timers.h"
void init_timerpool(void);
#line 52 "c:/arm projects/mini-m4 for stm32/servoproj/timers.h"
unsigned short int get_timer(void);
#line 61 "c:/arm projects/mini-m4 for stm32/servoproj/timers.h"
void free_timer(unsigned short int nbr);
#line 71 "c:/arm projects/mini-m4 for stm32/servoproj/timers.h"
void set_timer(unsigned short int nbr, unsigned long int tout);
#line 80 "c:/arm projects/mini-m4 for stm32/servoproj/timers.h"
unsigned long int check_timer(unsigned short int nbr);
#line 89 "c:/arm projects/mini-m4 for stm32/servoproj/timers.h"
void irqhandler_timer(void);





void Timer6_Initialize(void);
void Timer7_Initialize(void);

void Timer3_Initialize(void);
int IncPan(unsigned int Step);
int DecPan(unsigned int Step);
int HomePan(void);
int SetPan(int Value);

int IncTilt(unsigned int Step);
int DecTilt(unsigned int Step);
int HomeTilt(void);
int SetTilt(int Value);
#line 1 "c:/arm projects/mini-m4 for stm32/servoproj/led.h"
#line 13 "c:/arm projects/mini-m4 for stm32/servoproj/led.h"
void LED_Initialize(void);

void LED_Set_Yellow(void);
void LED_Clr_Yellow(void);
void LED_Set_Red(void);
void LED_Clr_Red(void);
#line 40 "C:/ARM Projects/MINI-M4 for STM32/ServoProj/Servo.c"
void main() {
 USB_Init();
 TimerInit();
 LED_Initialize();
 Timer3_Initialize();

 EnableInterrupts();

 while(1) {

 USB_CheckIn();
 USB_CheckOut();
 TimerCheck();
 }

}
